
From: Ingo Molnar <mingo@elte.hu>

fix softlockup-warning during swsuspend-resume.

From: "Rafael J. Wysocki" <rjw@sisk.pl>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/time.c   |    1 +
 25-akpm/arch/x86_64/kernel/time.c |    1 +
 25-akpm/kernel/power/swsusp.c     |    1 +
 3 files changed, 3 insertions(+)

diff -puN arch/i386/kernel/time.c~fix-softlockup-warning-in-swsuspend-resume arch/i386/kernel/time.c
--- 25/arch/i386/kernel/time.c~fix-softlockup-warning-in-swsuspend-resume	2005-02-09 23:38:59.000000000 -0800
+++ 25-akpm/arch/i386/kernel/time.c	2005-02-09 23:38:59.000000000 -0800
@@ -378,6 +378,7 @@ static int timer_resume(struct sys_devic
 	write_sequnlock_irqrestore(&xtime_lock, flags);
 	jiffies += sleep_length;
 	wall_jiffies += sleep_length;
+	touch_softlockup_watchdog();
 	return 0;
 }
 
diff -puN arch/x86_64/kernel/time.c~fix-softlockup-warning-in-swsuspend-resume arch/x86_64/kernel/time.c
--- 25/arch/x86_64/kernel/time.c~fix-softlockup-warning-in-swsuspend-resume	2005-02-09 23:38:59.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/time.c	2005-02-09 23:38:59.000000000 -0800
@@ -988,6 +988,7 @@ static int timer_resume(struct sys_devic
 	write_sequnlock_irqrestore(&xtime_lock,flags);
 	jiffies += sleep_length;
 	wall_jiffies += sleep_length;
+	touch_softlockup_watchdog();
 	return 0;
 }
 
diff -puN kernel/power/swsusp.c~fix-softlockup-warning-in-swsuspend-resume kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~fix-softlockup-warning-in-swsuspend-resume	2005-02-09 23:38:59.000000000 -0800
+++ 25-akpm/kernel/power/swsusp.c	2005-02-09 23:38:59.000000000 -0800
@@ -868,6 +868,7 @@ int swsusp_suspend(void)
 	/* Restore control flow magically appears here */
 	restore_processor_state();
 	restore_highmem();
+	touch_softlockup_watchdog();
 	device_power_up();
 	local_irq_enable();
 	return error;
_
